Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# oscl_string_utils.h

Go to the documentation of this file.

    00001 // -*- c++ -*-
    00002 // = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
    00003
    00004 //               O S C L _ S T R I N G _ U T I L S
    00005
    00006 // = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
    00007
    00018 #ifndef OSCL_STRING_UTILS_H_INCLUDED
    00019 #define OSCL_STRING_UTILS_H_INCLUDED
    00020
    00021 #ifndef OSCL_BASE_H_INCLUDED
    00022 #include "oscl_base.h"
    00023 #endif
    00024
    00025 #define oscl_isdigit(c) ((c) >= '0' && (c) <= '9')
    00026
    00027 OSCL_IMPORT_REF const char* skip_whitespace(const char *ptr);
    00028
    00029 OSCL_IMPORT_REF char * skip_whitespace(char * ptr);
    00030
    00031 OSCL_IMPORT_REF const char* skip_whitespace(const char *start, const char *end);
    00032
    00033 OSCL_IMPORT_REF const char* skip_to_whitespace(const char *start, const char *end);
    00034
    00035 OSCL_IMPORT_REF const char * skip_to_line_term(const char *start_ptr, const char *end_ptr);
    00036
    00037 OSCL_IMPORT_REF const char* skip_whitespace_and_line_term(const char *start, const char *end);
    00038
    00039 OSCL_IMPORT_REF int extract_string(const char * in_ptr, char *outstring, int maxsize);
    00040
    00041 OSCL_IMPORT_REF int extract_string(const char * start, const char *end, char *outstring, int maxsize);
    00042
    00043 OSCL_IMPORT_REF bool PV_atoi(const char *buf, const char new_format, uint32& value);
    00044
    00045 OSCL_IMPORT_REF bool PV_atoi(const char *buf, const char new_format, int length, uint32& value);
    00046 OSCL_IMPORT_REF bool PV_atoi(const char *buf, const char new_format, int length, uint64& value);
    00047 OSCL_IMPORT_REF bool PV_atof(const char *buf, OsclFloat& value);
    00048 OSCL_IMPORT_REF bool PV_atof(const char *buf, int length, OsclFloat& value);
    00049 OSCL_IMPORT_REF int oscl_abs(int aVal);
    00050 #endif // OSCL_STRING_UTILS_H_INCLUDED
    00051